#ifndef SEVENTFILTER_H
#define SEVENTFILTER_H

#include <QObject>
#include <QEvent>

class SEventFilter : public QObject
{
    Q_OBJECT
public:
    explicit SEventFilter(QObject *parent = nullptr);

signals:


    // QObject interface
public:
    bool eventFilter(QObject *watched, QEvent *event);
};

#endif // SEVENTFILTER_H
